> # NAME

> cgGLGetOptimalOptions - get the best set of compiler options for a profile

> # SYNOPSIS

>       #include <Cg/cgGL.h>

>       char const ** cgGLGetOptimalOptions( CGprofile profile );

> # PARAMETERS

> profile

>   The profile whose optimal arguments are requested.

> # RETURN VALUES

> Returns a null-terminated array of strings representing the optimal set of compiler options for profile.

> Returns NULL if profile isn't supported by the current driver or GPU.

> # DESCRIPTION

> cgGLGetOptimalOptions returns the best set of compiler options for a given profile on the current driver and GPU. Note that different driver/GPU combinations might return different sets of options for the same profile value.

> The elements of the returned array are meant to be used as part of the args parameter to cgCreateProgram or cgCreateProgramFromFile.

> The strings returned for each value of profile remain valid until the next time cgGLGetOptimalOptions is called with this profile value.

> The application does not need to destroy the returned strings.

> # EXAMPLES

>       char const ** ppOptions = cgGLGetOptimalOptions(vertProfile);

>       if (ppOptions && *ppOptions) {
>           while (*ppOptions) {
>               printf("%s\n", *ppOptions);
>               ppOptions++;
>           }
>       }

>       const char* vertOptions[]  = { myCustomArgs,
>                                      ppOptions,
>                                      NULL };

>       CGprogram myVS = cgCreateProgramFromFile( context,
>                                                 CG_SOURCE,
>                                                 "vshader.cg",
>                                                 vertProfile,
>                                                 "VertexShader",
>                                                 vertOptions);

> # ERRORS

> None.

> # HISTORY

> cgGLGetOptimalOptions was introduced in Cg 2.2.

> # SEE ALSO

> cgGLSetOptimalOptions, cgGLGetLatestProfile, cgCreateProgram, cgCreateProgramFromFile